%define name stuffit 
%define version 5.2.0.611 
%define release 1plf


Name: %{name}
Version: %{version}
Summary: Aladdin StuffIt(tm) for Linux  
Release: %{release}
License: Shareware
Group: Archiving/Compression
Source: http://ftp.aladdinsys.com/pub/linux/StuffIt/%{name}520.611linux-i386.tgz
URL: http://www.aladdinsys.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
Aladdin StuffIt(tm) for Linux is an application suite that creates
and expands archives and encoded files in multiple compressed and
encoded formats.

stuff can currently compress files into StuffIt, zip, UNIX compress,
PrivateFile archive formats and encode files into uuencode, BinHex
and MacBinary formats.

unstuff can currently decompress files created by StuffIt, zip, Arc,
Arj, gzip, UNIX compress, PrivateFile and decode files in uuencode,
BinHex, btoa, btoa5, MIME, and MacBinary formats.

This is in PLF because it's non free

%prep
%setup -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mv bin/register bin/register-stuffit
install -m 0755 bin/* %{buildroot}%{_bindir}
install -m 0644 man/man1/* %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc doc/*
%attr(0755, root, root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Jun 01 2005 Sebastien savarin <plouf@zarb.org> 5.2.0.611-1plf
- First PLF release











